[Contents] [Prev] [Next] [Index] [Report an Error]

# lifetime

#### Syntax

To set an IKE lifetime:

lifetime seconds

no lifetime

To set an IPSec transport profile lifetime:

lifetime { kilobytes lowKilobytes highKilobytes | seconds txLowSeconds txHighSeconds | seconds txLowSeconds txHighSeconds kilobytes lowKilobytes highKilobytes }

no lifetime

To set an IPSec tunnel profile lifetime:

lifetime { seconds tunLowSeconds tunHighSeconds | kilobytes lowKilobytes highKilobytes | seconds tunLowSeconds tunHighSeconds kilobytes lowKilobytes highKilobytes }

no lifetime

#### Release Information

Command introduced before JUNOSe Release 7.1.0.
IPSec Tunnel Profile Configuration mode added in JUNOSe Release 7.3.0.

#### Description

From IKE Policy Configuration mode, associates a lifetime with IKE SAs established with this IKE policy. The no version restores the lifetime to its default, 28800 seconds (8 hours).

From IPSec Transport Profile Configuration mode, sets a lifetime range for the IPSec connection in volume of traffic and/or in seconds. If the client PC offers a lifetime within this range, the router accepts the offer. The no version returns the lifetime to the default, 100000–4294967295 KB and 900–86400 seconds (1–24 hours).

From IPSec Tunnel Profile Configuration mode, specifies the IPSec lifetime range used on IPSec security association negotiations. The no version returns the lifetime to its default, 28800 seconds (8 hours) and no traffic volume limit.

#### Options

- seconds—Number of seconds an SA lives before expiring; in the range 900–86400 seconds
- lowKilobytes—Lower range of the lifetime in kilobytes; in the range 100000–4294967295 KB; default value is 100000
- highKilobytes—Higher range of the lifetime in kilobytes; in the range 100000–4294967295 KB; default value is 4294967295
- txLowSeconds—Lower range of the lifetime in seconds; in the range 300–86400 seconds; default value is 3600
- txHighSeconds—Higher range of the lifetime in seconds; in the range 300–86400 seconds; default value is 86400
- tunLowSeconds—Lower range of the lifetime in seconds; in the range 900–86400 seconds; default value is 3600
- tunHighSeconds—Higher range of the lifetime in seconds; in the range 900–86400 seconds; default value is 86400
- lowKilobytes—Lower range of the lifetime in kilobytes; in the range 100000–4294967295 KB; default value is 100000
- highKilobytes—Higher range of the lifetime in kilobytes; in the range 100000–4294967295 KB; default value is 4294967295

#### Mode

IKE Policy Configuration, IPSec Transport Profile Configuration, IPSec Tunnel Profile Configuration

[Contents] [Prev] [Next] [Index] [Report an Error]